// teplota a vlhkost verze s DHT22
//=============================================



#if (defined senzor_DHT11) || (defined senzor_DHT22)
//----------------------------------------------
// teplota z cidla DHT
unsigned int teplota(boolean korekce)
  {
    float cidlo_teploty = cidlo_DHT.readTemperature();
    unsigned int teplota_DHT  = 500 + (10 * cidlo_teploty);
    if (korekce == true)
      {
        teplota_DHT = korekce_teploty(teplota_DHT);
      }
    return teplota_DHT;
  }
//----------------------------------------------



//----------------------------------------------
// vlhkost z cidla DHT
unsigned int vlhkost(void)
  {
    int vlhkost_DHT;
    float cidlo_vlhkosti = cidlo_DHT.readHumidity();

    if (isnan(cidlo_vlhkosti))                                // kdyz je namerena hodnota nesmysl (NEcislo), je to chyba cidla a vrati se 30000 (=300%)
      {
        vlhkost_DHT = 30000;
      }
    else                                                      // kdyz je hodnota z cidla spravna, prevede se namerena hodnota na cele cislo
      {
        vlhkost_DHT = cidlo_vlhkosti * 100;
      }

    return vlhkost_DHT;
  }
//----------------------------------------------



//----------------------------------------------
// tlak se v pripade pouzit cidla DHT nemeri a proto se vraci "mimo rozsah"
unsigned int tlak(void)
  {
    return 65535;
  }
//----------------------------------------------
#endif
